﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace SMTPServer
{
    public class MysqlDB : DbContext
    {
        const string Hostname = "192.168.178.148";
        const string DatabaseName = "vmail";
        const string Uid = "root";
        const string Pwd = "fabian.11";

        public DbSet<Domains> Domains { get; set; }

        public DbSet<Accounts> Accounts { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
            => optionsBuilder.UseMySql(@"Server=" + Hostname + ";database=" + DatabaseName + ";uid=" + Uid + ";pwd=" + Pwd + ";");
    }

    public class Domains
    {
        public int Id { get; set; }
        public string Domain { get; set; }
        public bool IsMail { get; set; }
    }

    public class Accounts
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public int Domain { get; set; }
        public string Password { get; set; }
        public bool Active { get; set; }
    }
}